Package org.springframework.transaction.config

# Class TransactionManagementConfigUtils

java.lang.Object
org.springframework.transaction.config.TransactionManagementConfigUtils

public abstract class TransactionManagementConfigUtils extends Object
Configuration constants for internal sharing across subpackages.

Since:
  3.1
Author:
  Chris Beams, Stephane Nicoll

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JTA_TRANSACTION_ASPECT_BEAN_NAME`
The bean name of the internally managed JTA transaction aspect (used when mode == ASPECTJ).
`static final String`
`JTA_TRANSACTION_ASPECT_CLASS_NAME`
The class name of the AspectJ transaction management aspect.
`static final String`
`JTA_TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME`
The name of the AspectJ transaction management @`Configuration` class for JTA.
`static final String`
`TRANSACTION_ADVISOR_BEAN_NAME`
The bean name of the internally managed transaction advisor (used when mode == PROXY).
`static final String`
`TRANSACTION_ASPECT_BEAN_NAME`
The bean name of the internally managed transaction aspect (used when mode == ASPECTJ).
`static final String`
`TRANSACTION_ASPECT_CLASS_NAME`
The class name of the AspectJ transaction management aspect.
`static final String`
`TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME`
The name of the AspectJ transaction management @`Configuration` class.
`static final String`
`TRANSACTIONAL_EVENT_LISTENER_FACTORY_BEAN_NAME`
The bean name of the internally managed TransactionalEventListenerFactory.

## Constructor Summary

Constructors
Constructor
Description
`TransactionManagementConfigUtils()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TRANSACTION_ADVISOR_BEAN_NAME

public static final String TRANSACTION_ADVISOR_BEAN_NAME
The bean name of the internally managed transaction advisor (used when mode == PROXY).

See Also:
  - Constant Field Values

### TRANSACTION_ASPECT_BEAN_NAME

public static final String TRANSACTION_ASPECT_BEAN_NAME
The bean name of the internally managed transaction aspect (used when mode == ASPECTJ).

See Also:
  - Constant Field Values

### TRANSACTION_ASPECT_CLASS_NAME

public static final String TRANSACTION_ASPECT_CLASS_NAME
The class name of the AspectJ transaction management aspect.

See Also:
  - Constant Field Values

### TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME

public static final String TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME
The name of the AspectJ transaction management @`Configuration` class.

See Also:
  - Constant Field Values

### JTA_TRANSACTION_ASPECT_BEAN_NAME

public static final String JTA_TRANSACTION_ASPECT_BEAN_NAME
The bean name of the internally managed JTA transaction aspect (used when mode == ASPECTJ).

Since:
  5.1
See Also:
  - Constant Field Values

### JTA_TRANSACTION_ASPECT_CLASS_NAME

public static final String JTA_TRANSACTION_ASPECT_CLASS_NAME
The class name of the AspectJ transaction management aspect.

Since:
  5.1
See Also:
  - Constant Field Values

### JTA_TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME

public static final String JTA_TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME
The name of the AspectJ transaction management @`Configuration` class for JTA.

Since:
  5.1
See Also:
  - Constant Field Values

### TRANSACTIONAL_EVENT_LISTENER_FACTORY_BEAN_NAME

public static final String TRANSACTIONAL_EVENT_LISTENER_FACTORY_BEAN_NAME
The bean name of the internally managed TransactionalEventListenerFactory.

See Also:
  - Constant Field Values

## Constructor Details

### TransactionManagementConfigUtils

public TransactionManagementConfigUtils()